<?
define('PROTECTOR', 1);

$head = 'almaz';//фикс. места

$textl='Алмазная лавка';
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
@include($path.'files/zag.php');
$d=time();
switch($_GET[mod]){

default:

echo"<font color='#ffc22b'> • За алмазы вы можете:</font></div><div class='m_bg'><ul class='nav'>";
echo'<li><a href="almaz.php?mod=money">Купить монеты</a></li>';
echo'<li><a href="almaz.php?mod=res">Купить ресурсы</a></li>';
echo'<li><a href="almaz.php?mod=skill">Купить параметры</a></li>';
echo'<li><a href="almaz.php?mod=weapon">Купить супер-оружие</a></li>';
echo'<li><a href="vip.php?">Стать VIP</a></li>';
echo'<li><a href="avatar.php?">Выбрать Аватар</a></li>';
echo'<li><a href="pitomec.php?mod=new">Купить Питомца</a></li></div>';
echo"$div <a href=\"index.php?\">Назад</a></br>";
break;


case 'money':
if(empty($_POST[kolvo])){
echo '
<b>Обмен Алмазов на монеты</b></div><div class="m_bg">У вас '.$udata[almaz].' алмазов<br />
У вас '.$udata[money].' монет<br />
<div class="info">1 алмаз = 950 монет<br />
</div>Введите кол-во алмазов:</br>';
echo "<form action=\"almaz.php?mod=money\" method=\"post\">";
echo '<input name="kolvo"/><br/>';
echo '<input type="submit" value="Продолжить"/></form></div><div class="m_bg">';
}
else{
$alm = round(htmlspecialchars(stripslashes(addslashes($_POST['kolvo']))));
$m = $_POST[kolvo]*950;
if($m<550){echo "Неверное число!</br><a href=\"almaz.php?\">Назад</a>";break;}
if(($udata[almaz] - $alm) < 0){echo "Нехватает алмазов</br><a href=\"almaz.php?\">Назад</a>";}else{
mysql_query("UPDATE `users` SET
`almaz` =  '$udata[almaz]'-'$alm', `money` =  '$udata[money]'+'$m' WHERE `usr` = '$log' ");
echo'<img src="pic/yes.png" alt="*"/> Вы обменяли '.$alm.' алмазов на '.$m.' монет!<br/>';
echo"<a href=\"almaz.php?\">Назад</a>";
}}
break;

case 'exp':
echo"Лавка пока закрыта";break;
if(empty($_POST[kolvo])){
echo '
<b>Обмен Алмазов на опыт</b></div><div class="m_bg">У вас '.$udata[almaz].' алмазов<br />
У вас '.$udata[exp].' опыта<br />
<div class="info">1 алмаз = 600 опыта<br />
</div>Введите кол-во алмазов:</br>';
echo "<form action=\"almaz.php?mod=exp\" method=\"post\">";
echo '<input name="kolvo"/><br/>';
echo '<input type="submit" value="Продолжить"/></form></div><div class="m_bg">';
}
else{
$alm = round(htmlspecialchars(stripslashes(addslashes($_POST['kolvo']))));
$e = $_POST[kolvo]*600;
if($e<600){echo "Неверное число!</br><a href=\"lambard.php?\">Назад</a>";break;}
if(($udata[almaz] - $_POST[kolvo]) < 0){echo "Нехватает алмазов</br><a href=\"lambard.php?\">Назад</a>";break;}
elseif($udata[lvl] < 2){echo "Менять алмазы на опыт можно только со второго уровня!</br><a href=\"lambard.php?\">Назад</a>";
break;}else{
mysql_query("UPDATE `users` SET
`almaz` =  '$udata[almaz]'-'$alm', `exp` =  '$udata[exp]'+'$e' WHERE `usr` = '$log' ");
echo'<img src="pic/yes.png" alt="*"/> Вы обменяли '.$alm.' алмазов на '.$e.' опыта!<br/>';
echo"<a href=\"almaz.php?\">Назад</a>";
}}
break;

case 'torg':

if(empty($_POST[kolvo])){
echo '
<b>Обмен монет на Алмазы</b></div><div class="m_bg">У вас '.$udata[money].' монет<br />У вас '.$udata[almaz].' алмазов<br />
<div class="info">1 алмаз = 600 монет<br />Через Торговца Драгоценностями можно обменять до 10 алмазов, 1 раз в сутки.
</div>Введите кол-во алмазов:</br>';
echo "<form action=\"almaz.php?mod=obmen\" method=\"post\">";
echo '<input name="kolvo"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';echo"$div <a href=\"almaz.php?\">Назад</a>";
}break;

case 'obmen':
$rel = mysql_query("SELECT * FROM `limit` where `usr`='$log'");
$avol=mysql_num_rows($rel);
$avo=mysql_fetch_array($rel);
$ost = round(24-($d-$avo[almaz])/3600, 2);
if($_POST[kolvo] < 1){echo "Неверное число";break;}
if($_POST[kolvo] > 10){echo "Нельзя обменять больше десяти алмазов</br>";
echo"<a href=\"almaz.php?\">Назад</a>"; }else{
$alm = round(htmlspecialchars(stripslashes(addslashes($_POST['kolvo']))));
$m = $alm*600;
if(($udata[money] - $m) < 0){echo "Нехватает монет</br><a href=\"almaz.php?\">Назад</a>";break;}
if($d<($avo[almaz]+86500)){echo"Алмазы можно менять раз в сутки!Осталось $ost часов</br>";echo"<a href=\"almaz.php?\">Назад</a>";@include('files/down.php'); exit;}
else{
mysql_query("UPDATE `users` SET
`almaz` =  '$udata[almaz]'+'$alm', `money` =  '$udata[money]'-'$m' WHERE `usr` = '$log' ");
mysql_query("UPDATE `limit` SET `almaz` = '$d' WHERE `usr` = '$log'");
if($avol==0){mysql_query("INSERT INTO `limit` SET `usr`='$log'");}
echo'<img src="pic/yes.png" alt="*"/> Вы купили '.$alm.' алмазов!<br/>';
echo"<a href=\"almaz.php?\">Назад</a>";
}}
break;

case 'info':
$req = mysql_query("SELECT * FROM `arti` WHERE `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include('files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

echo"<b>$mag[name]</b><br/></div><div class='menu'>
<img src=\"pic/pers/art/$mag[id].png\" alt=\"a\"/><br>
<font color='#ffc22b'><b>Параметры:</b><br></font>
Жизнь: <b>$mag[hp]</b><br>
Мана: <b>$mag[mp]</b><br>
Сила: <b>$mag[sila]</b><br>
Ловкость: <b>$mag[lovk]</b><br>
Физ. защита: <b>$mag[prot]</b><br>
Крит: <b>$mag[krit]%</b><br>
Крит-урон: <b>$mag[ukrit]%</b><br>
<font color='#ffc22b'><b>Требования:</b><br></font>
Уровень: <b>$mag[nlvl]</b><br>
";
echo"</div><div class='menu'>";
echo'<a href="javascript:history.go(-1)">« Назад</a>';
break;

case 'ask':
echo'Вы действительно хотите купить эту вещь?<br/>';
echo"<a href=\"almaz.php?mod=go&id=$_GET[id]\">Да</a><br/>";
echo"<a href=\"almaz.php?mod=weapon\">Нет</a>";
break;

case 'res':
if(empty($_POST[res]) or empty($_POST[alm])){
echo"<img src=\"/pic/pers/nef.png\" alt=\"*\"/>
 Покупка ресурсов $div";
echo '<form action="almaz.php?mod=res" method="post">';
echo"Выберите ресурс:<br>
<select name=\"res\">
<option value=\"ser\">Серебро</option>
<option value=\"nef\">Нефрит</option>
<option value=\"obs\">Обсидиан</option>
<option value=\"kam\">Камень</option>
<option value=\"jel\">Железо</option>
</select><br/>
Стоимость 15 единиц - <b>1</b> алмаз.<br>
Для железа и камня: 30 единиц - <b>1</b> алмаз.<br>
Введите кол-во алмазов:<br>
<input class=\"input\" type=\"text\" value=\"1\" size=\"15\" name=\"alm\" maxlength=\"5\"/><br/>";
echo '<input class="button" type="submit" value="Купить" /></form>';}else{
if($_POST[alm]<1){echo"<img src=\"/pic/no.png\" alt=\"*\"/> Неверная сумма! <br> 
<a href=\"almaz.php?mod=res\">Назад</a>";break;}
$_POST[alm]=htmlspecialchars(addslashes(stripslashes($_POST['alm'])));
$cena=floor($_POST[alm]);
if($udata[almaz]-$cena<0){echo"<img src=\"/pic/no.png\" alt=\"*\"/> Нехватает алмазов! <br> 
<a href=\"almaz.php?mod=res\">Назад</a>";break;}

if($_POST[res]=="ser"){$post="serebro";$st=15;$name="Серебра";}
if($_POST[res]=="nef"){$post="nefrit";$st=15;$name="Нефрита";}
if($_POST[res]=="obs"){$post="obsidian";$st=15;$name="Обсидиана";}
if($_POST[res]=="kam"){$post="kamen";$st=30;$name="Камня";}
if($_POST[res]=="jel"){$post="jelezo";$st=30;$name="Железа";}
$kol=$st*$cena;
$jel = mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$log' and `lat_name`= '$post'");
$res = mysql_fetch_array($jel);
$kols= $res[kol]+$kol;
mysql_query("UPDATE `res` SET `kol` = '$kols' WHERE `usr` = '$log' and `lat_name`='$post'") or die (mysql_error());
mysql_query("UPDATE `users` SET `almaz` =  '$udata[almaz]'-'$cena' WHERE `usr` = '$log' ");
$_POST[res]=0;
echo"<img src=\"/pic/yes.png\" alt=\"*\"/> Покупка успешно завершена! Вы купили <b>$kol</b> $name<br> 
<a href=\"almaz.php?mod=res\">Назад</a>";break;
}
break;

case 'skill':
if($udata[lvl]<10){echo"<img src=\"pic/no.png\" alt=\"fp\"/> Доступно с <b>10</b> Уровня <br>
<a href=\"almaz.php?\">Назад</a>";break;}
echo"<img src=\"pic/main/fp.png\" alt=\"fp\"/> Чем больше статов Вы купите тем дороже они будут стоить<br>";
echo'Стоимость: ';
break;

case 'weapon':
if(!isset($_GET[tip])){
echo"<div class='a'>Лавка Супер-оружий</div></div><div class='menu'><ul class='nav'>";
echo"<li><a href=\"almaz.php?mod=weapon&tip=weapon\"><img src='pic/red.png' alt='*'/> Оружие</a></li>";
echo"<li><a href=\"almaz.php?mod=weapon&tip=body\"><img src='pic/pers/verh.png' alt='*'/> Броня</a></li></ul>
$div<a href=\"almaz.php?\">« Назад</a>";
}else{
$_GET[tip]=htmlspecialchars(addslashes(stripslashes($_GET['tip'])));
if($_GET[tip]=="weapon"){$tip="weapon";
$req = mysql_query("SELECT * FROM `arti` WHERE `tip`='$tip' ORDER by `cena` ASC ") or die (mysql_error());}
if($_GET[tip]=="body"){$tip="weapon";
$req = mysql_query("SELECT * FROM `arti` WHERE `tip`!='$tip' ORDER by `cena` ASC ") or die (mysql_error());}
$avto=mysql_num_rows($req);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Пока нет вещей</br><a href=\"almaz.php?mod=weapon\">Назад</a>";break;}else{
echo"Здесь представлены только лучшие, новые вещи!$div ";
///////////ПОКУПКA////////
if(isset($_GET[shmot])){

switch($_GET[act]){

default:
break;
case 'sell':
$ids = htmlspecialchars(addslashes(stripslashes($_GET['ids'])));
$rep = mysql_query("SELECT * FROM `arti` WHERE`id`='$ids'");
$avtop=mysql_num_rows($rep);
if($avtop==0){
echo'Ошибка, такой вещи нет!';break;}
$mags = mysql_fetch_array($rep);
/////////////
$nmoney=$udata[almaz]-$mags[cena];
if($nmoney<0){
echo'Нехватает алмазов!';break;
exit;}
$stoim=$mags[cena]*700;
$img="$mags[id].png";
mysql_query("INSERT INTO
        `weapon` SET
        `usr` = '$log',
        `tip` = '$mags[tip]',
        `kompl` = '$mags[kompl]',
        `proch` = '10',
        `name` = '$mags[name]',
        `cena` = '$stoim',
        `hp` = '$mags[hp]',
        `mp` = '$mags[mp]',
        `krit` = '$mags[krit]',
        `ukrit` = '$mags[ukrit]',
        `sila` = '$mags[sila]',
        `lovk` = '$mags[lovk]',
        `prot` = '$mags[prot]',
        `img` = '$img',
        `nlvl` = '$mags[nlvl]',
        `image` = 'not'") or die (mysql_error());
mysql_query("UPDATE users SET almaz = '$nmoney' WHERE usr = '$log'");
echo"Вещь <b>$mags[name]</b> куплена и помещена в инвентарь!<br/>
Алмазов потрачено: $mags[cena]<br/>
Алмазов осталось: $nmoney<br/>";
echo"<a href=\"almaz.php?mod=weapon\">Закончить покупку</a> $div";
break;

case 'ask':
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
echo'Вы действительно хотите купить эту вещь?<br/>';
echo"<a href=\"almaz.php?mod=weapon&tip=$_GET[tip]&shmot&act=sell&ids=$id\">Да</a><br/>";
echo"<a href=\"almaz.php?mod=weapon&tip=$_GET[tip]\">Нет</a>$div";
break;}
}
//////////////HAPPY END////////

$am=0;
While($mag = mysql_fetch_array($req))
{
if($udata[lvl]>$mag[nlvl]){$font="#AAAAAA";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
$wep = mysql_query("SELECT * FROM `weapon` WHERE `image`= 'yes' and `usr`='$log' and `tip`='$mag[tip]'") or die (mysql_error());
$wep = mysql_fetch_array($wep);
$stat = $wep[hp]+$wep[mp]+$wep[krit]+$wep[ukrit]+$wep[sila]+$wep[lovk]+$wep[prot];
$statmag = $mag[hp]+$mag[mp]+$mag[krit]+$mag[ukrit]+$mag[sila]+$mag[lovk]+$mag[prot];
if($stat==$statmag){$tex=" Надето!";}
if($statmag-$stat>0){$sta=$statmag-$stat; $tex="<font color='#71cc71'> Лучше +$sta</font>";}
if($statmag-$stat<0){$sta=$statmag-$stat; $tex="<font color='#FF6633'> Хуже $sta</font>";}
$am=$am+$mag[cena];
echo"<div class='menus'><img class=\"float-left\" src=\"pic/pers/art/$mag[id].png\" style=\"margin-right:6px;\"/><a href=\"almaz.php?mod=info&id=$mag[id]\">
<font color='$font'>$mag[name]</font> </a></br>"; 
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] ур <img src='pic/pers/weapon/$pic' alt='*'/>$tex <img src='pic/almaz.png' alt='*'/>$mag[cena] 
[<a href=\"almaz.php?mod=weapon&tip=$_GET[tip]&shmot&act=ask&id=$mag[id]\">купить</a>]";
echo"</div><div class='line'></div>";}
echo"<a href=\"almaz.php?mod=weapon\">Назад</a>";

}
}
break;

}
@include($path.'files/down.php');
?>